#!/usr/local/bin/perl -wT
# Copyright Andru Luvisi, 1999
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program (see the file COPYING); if not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA


use CGI;
use CGI::Carp qw(fatalsToBrowser);
use strict;

use vars qw($years $months $interest $principle $down $payment $down_percent);
use vars qw($principle2 $payment2 $cur_percent);
use vars qw($query $yinterest);

$query = CGI->new();

$down = $query->param("down");
$payment = $query->param("payment");
$down_percent = $query->param("down_percent");
$years = $query->param("years");
$months = $years * 12;
$yinterest = $query->param("interest");
$interest = $yinterest/1200;


# main calculation
$principle = $payment * (( ($interest + 1)**$months - 1 ) / 
				($interest * ($interest + 1)**$months)) +
		$down;
$cur_percent = 100*$down/$principle;

# can we get more with a higher payment?  will we need to get less
# with our current down?
$principle2 = 100*$down/$down_percent;
$payment2 = ($principle2 - $down) * 
		( $interest * ($interest + 1)**$months) /
		( ($interest + 1)**$months - 1 );


grep { $$_ = int($$_ * 1000)/1000; } 
	( \$principle, \$down, \$payment, \$cur_percent, \$down_percent,
	  \$principle2, \$payment2);

print $query->header();
print <<EOT;
<title>
 The House Affordability Computer: 
 What you might be able to afford
</title>
<body bgcolor="#ffffff">

<h1>The House Affordability Computer Results</h1>

<h2>You might be able to afford: \$$principle</h2>

paying $yinterest\% interest per year<br>
putting \$$down ($cur_percent\%) down<br>
paying \$$payment per month<br>
on a $years year loan

<p>
EOT

if($cur_percent != $down_percent) {
 print "If the bank requires $down_percent\% down, ";
 if($cur_percent > $down_percent) {
  print <<EOT;
 you may be able to afford \$$principle2 if you could make \$$payment2 
 payments.
 <p>
EOT
 } elsif($cur_percent < $down_percent) {
  print <<EOT;
 you may only be able to get \$$principle2, making \$$payment2 payments.
 <p>
EOT
 }
}

print <<EOT;
 <p>
 NOTE: The House Affordabilty Computer is an amusement which is intended for
 ENTERTAINMENT PURPOSES ONLY!!!
EOT

# We would be grateful if you could leave this link in, but
# we understand if you can't.  :-)
#   - Villainy Amusements
print <<EOT;
 <p>
 <font size="-1">
  <a href="http://www.villainy.com/">
   House Affordability Amusement created by Villainy Amusements.
  </a>
 </font>                         
EOT

exit(0);


